Page MenuHomePhabricator

Turn off Flow Beta Feature on wikis with Flow on user talk by default
Closed, ResolvedPublic

Description

This doesn't work the same as other wikis (creating a blank page, letting you turn it off) and will be confusing for the user.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 3 2016, 11:58 PM

Change 314042 had a related patch set uploaded (by Mattflaschen):
Flow opt in: Temporarily disable all, MW.org is redundant

https://gerrit.wikimedia.org/r/314042

Change 314042 merged by jenkins-bot:
Flow opt in: Temporarily disable all, MW.org is redundant

https://gerrit.wikimedia.org/r/314042

Catrope added a subscriber: Catrope.Nov 1 2016, 8:23 PM

This is kind of done by the temp disable patch, and we could just not turn the beta feature back on on those wikis. But maybe we should handle these wikis in a more intelligent way. For new users, it doesn't make as much sense to have the beta feature, but it does make sense for users who still have a wikitext talk page. Also, for users who had a Flow talk page from the get-go, it might make sense to let them use the beta feature to opt out of Flow?

This is kind of done by the temp disable patch, and we could just not turn the beta feature back on on those wikis.

Yeah, I intentionally removed MediaWiki.org (I think I verified that is the only one), whereas I commented the others.

Also, for users who had a Flow talk page from the get-go, it might make sense to let them use the beta feature to opt out of Flow?

Not sure; I lean against it. Beta Features are supposed to be temporary and for trying new functionality This would basically mean the Beta Feature is conceptually permanent (even on default-Flow user talk namespaces, there would be a presumably permanent Beta Feature to disable Flow ).

CC @jmatazzoni and @Jdforrester-WMF .

This is kind of done by the temp disable patch, and we could just not turn the beta feature back on on those wikis.

Yeah, I intentionally removed MediaWiki.org (I think I verified that is the only one), whereas I commented the others.

Also, for users who had a Flow talk page from the get-go, it might make sense to let them use the beta feature to opt out of Flow?

Not sure; I lean against it. Beta Features are supposed to be temporary and for trying new functionality This would basically mean the Beta Feature is conceptually permanent (even on default-Flow user talk namespaces, there would be a presumably permanent Beta Feature to disable Flow ).
CC @jmatazzoni and @Jdforrester-WMF .

Well, I don't think it would make sense long-term to use BF as the mechanism to opt in or out of the feature. Eventually it should be a preference, either a user preference or an implicit one by the content model of the page…

This is done. I will file a follow-up for the broader issue.

Etonkovidova added a subscriber: Etonkovidova.EditedNov 4 2016, 11:52 PM

Checked in mediawiki

  • new users will have Flow on their user talk pages enabled by default
  • 'Enable Flow on user talk' option is not displayed in Preferences-Beta features

Things to check after the the deploy of T138310: Flow as a Beta feature: enable, disable and reenable doesn't seem to work

Adding the comment from T138310: Flow as a Beta feature: enable, disable and reenable doesn't seem to work
Checked in frwiki, kabwiki, mediawiki - for enabling/disabling/re-enabling for existing/new users - all works.

It was checked on 1.29.0-wmf.4 version.

jmatazzoni closed this task as Resolved.Dec 14 2016, 7:38 PM